classification
Title: ctypes documentation error
Type: Stage: resolved
Components: ctypes, Documentation Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: ZackerySpytz, docs@python, metolone, miss-islington, terry.reedy
Priority: normal Keywords: patch

Created on 2021-01-31 19:07 by metolone, last changed 2021-04-08 08:22 by terry.reedy. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 24404 merged ZackerySpytz, 2021-01-31 19:29
PR 25198 merged miss-islington, 2021-04-05 19:21
PR 25199 merged miss-islington, 2021-04-05 19:21
Messages (5)
msg386037 - (view) Author: Mark Tolonen (metolone) Date: 2021-01-31 19:07
At the following documentation link:

https://docs.python.org/3/library/ctypes.html#incomplete-types

The last example should have byte strings:

>>> c1 = cell()
>>> c1.name = b"foo"
>>> c2 = cell()
>>> c2.name = b"bar"
msg386038 - (view) Author: Zackery Spytz (ZackerySpytz) * (Python triager) Date: 2021-01-31 19:34
Thank you for the report.
msg390250 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2021-04-05 19:21
New changeset 14829b09eb652f457cf837836909169746a810f0 by Zackery Spytz in branch 'master':
bpo-43087: Fix error in ctypes "Incomplete Types" doc (GH-24404)
https://github.com/python/cpython/commit/14829b09eb652f457cf837836909169746a810f0
msg390508 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2021-04-08 08:21
New changeset 5490b49fa6646c9f48869955c12cf6af9fc3f2a4 by Miss Islington (bot) in branch '3.9':
[3.9] bpo-43087: Fix error in ctypes "Incomplete Types" doc (GH-24404) 
https://github.com/python/cpython/commit/5490b49fa6646c9f48869955c12cf6af9fc3f2a4
msg390509 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2021-04-08 08:22
New changeset 754dc353565eeb4a43a912417cc5b66959458f1b by Miss Islington (bot) in branch '3.8':
[3.8] bpo-43087: Fix error in ctypes "Incomplete Types" doc (GH-24404)
https://github.com/python/cpython/commit/754dc353565eeb4a43a912417cc5b66959458f1b
History
Date User Action Args
2021-04-08 08:22:29terry.reedysetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-04-08 08:22:05terry.reedysetmessages: + msg390509
2021-04-08 08:21:42terry.reedysetmessages: + msg390508
2021-04-05 19:21:18miss-islingtonsetpull_requests: + pull_request23938
2021-04-05 19:21:13terry.reedysetnosy: + terry.reedy
messages: + msg390250
2021-04-05 19:21:12miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request23937
2021-01-31 19:34:48ZackerySpytzsetmessages: + msg386038
versions: + Python 3.8, Python 3.10
2021-01-31 19:29:34ZackerySpytzsetkeywords: + patch
nosy: + ZackerySpytz

pull_requests: + pull_request23219
stage: patch review
2021-01-31 19:08:31metolonesetassignee: docs@python

nosy: + docs@python
components: + Documentation, ctypes
versions: + Python 3.9
2021-01-31 19:07:19metolonecreate